Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.model
Class SecuredModel

    java.lang.Object
      org.springframework.webflow.engine.model.AbstractModel
          org.springframework.webflow.engine.model.SecuredModel

All Implemented Interfaces:
  Model

    public class SecuredModel

extends AbstractModel

Model support for secured elements.

Secures a flow, state or transition. The user invoking this element must meet the required attributes otherwise access will be denied.

Warning: This model will only configure a security attribute in the definition. The flow execution must also be secured with a SecurityFlowExecutionListener.

Author:
  Scott Andrews
See Also:
  `SecurityFlowExecutionListener`

Constructor Summary
`SecuredModel(java.lang.String attributes)` Create a security settings model

Method Summary
`Model` | `createCopy()` Create a deep copy of this model.
`java.lang.String` | `getAttributes()`
`java.lang.String` | `getMatch()`
`boolean` | `isMergeableWith(Model model)` Determine if the model is able to be merged into the current model
`void` | `merge(Model model)` Merge the model into the current model
`void` | `setAttributes(java.lang.String attributes)`
`void` | `setMatch(java.lang.String match)`

Methods inherited from class org.springframework.webflow.engine.model.AbstractModel
`copy, copyList, merge, merge, merge, merge, merge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecuredModel

    public SecuredModel(java.lang.String attributes)

  Create a security settings model

  Parameters:
    `attributes` - the security attributes

Method Detail

### isMergeableWith

    public boolean isMergeableWith(Model model)

  Description copied from interface: `Model`
  Determine if the model is able to be merged into the current model

  Parameters:
    `model` - the model to compare
  Returns:
    true if able to merge

### merge

    public void merge(Model model)

  Description copied from interface: `Model`
  Merge the model into the current model

  Parameters:
    `model` - the model to merge with

### createCopy

    public Model createCopy()

  Description copied from interface: `Model`
  Create a deep copy of this model. Needed when merging models and collections.

  Returns:
    a deep copy of this model

### getAttributes

    public java.lang.String getAttributes()

  Returns:
    the attributes

### setAttributes

    public void setAttributes(java.lang.String attributes)

  Parameters:
    `attributes` - the attributes to set

### getMatch

    public java.lang.String getMatch()

  Returns:
    the match

### setMatch

    public void setMatch(java.lang.String match)

  Parameters:
    `match` - the match to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD